from gcs_cli.commands.user_credentials.activescale_create import (
    activescale_create as activescale_create_cmd,
)
from gcs_cli.commands.user_credentials.delete import cred_delete
from gcs_cli.commands.user_credentials.list import cred_list
from gcs_cli.commands.user_credentials.oauth_create import (
    oauth_create as oauth_create_cmd,
)
from gcs_cli.commands.user_credentials.s3_create import s3_create as s3_create_cmd
from gcs_cli.commands.user_credentials.show import cred_show
from gcs_cli.parsing import globus_group


@globus_group(name="user-credentials")
def user_cred_command() -> None:
    """Manage user credentials on the logged-in endpoint"""


user_cred_command.add_command(cred_delete)
user_cred_command.add_command(cred_list)
user_cred_command.add_command(cred_show)
user_cred_command.add_command(s3_create_cmd)
user_cred_command.add_command(oauth_create_cmd)
user_cred_command.add_command(activescale_create_cmd)
