from __future__ import annotations

from globus.manager.constants import ConfigurationObjectTag

from .collection import Collection


class HPSSCollection(Collection):
    # Current policy data_type, used for new docs and dumping
    POLICY_DATA_TYPE = "hpss_collection_policies#1.0.0"
    # Supported policy data_types, current and legacy
    POLICY_DATA_TYPES = [POLICY_DATA_TYPE]

    __mapper_args__ = {
        "polymorphic_identity": (
            ConfigurationObjectTag.COLLECTION.name
            + "fb656a17-0f69-4e59-95ff-d0a62ca7bdf5"
        )
    }

    @property
    def connector_id(self):
        return "fb656a17-0f69-4e59-95ff-d0a62ca7bdf5"

    @connector_id.setter
    def connector_id(self, value):
        pass

    def __repr__(self):
        return "<HPSSCollection {}>".format(self.id)
