import marshmallow as ma

from .data_type import Schema, data_type, data_type_schema
from .semantic_version import semantic_version_expression


@data_type("connector#1.0.0")
class Connector_1_0_0(Schema):
    """
    Connector information document
    """

    display_name = ma.fields.String(
        required=True,
        description="Friendly name of the connector",
        example="POSIX",
    )
    id = ma.fields.String(required=True, description="Unique id of this connector type")
    version = ma.fields.String(
        validate=[ma.validate.Regexp(semantic_version_expression)],
        description="Semantic version of this connector implementation",
    )


Connector = data_type_schema.Connector
