import datetime

import marshmallow as ma

from ..api.data_type import Schema, data_type, data_type_schema


@data_type("acme_account#1.0.0", private=True)
class AcmeAccount_1_0_0(Schema):
    """
    Let's Encrypt Acme Account used for managing certificates for an Endpoint
    """

    acme_key = ma.fields.Raw()
    acme_account = ma.fields.Raw()
    lease_node_id = ma.fields.UUID(required=False)
    lease_expiration = ma.fields.AwareDateTime(
        required=False, default_timezone=datetime.timezone.utc
    )


AcmeAccount = data_type_schema.AcmeAccount
