import marshmallow as ma

from ..api import Schema, data_type, data_type_schema


@data_type("endpoint_domain#1.0.0", private=True)
class EndpointDomain_1_0_0(Schema):
    """
    DNS Domain for an Endpoint
    """

    domain_name = ma.fields.String(validate=[ma.validate.Length(max=256)])
    nodes = ma.fields.List(ma.fields.Nested(data_type_schema.Node))


EndpointDomain = data_type_schema.EndpointDomain
