"""
globus-connect-server node set-configuration
"""
import click

from globus.manager.api.app import make_app
from globus.manager.api.models import (
    Configuration,
    db,
)


def node_set_configuration(ctx, name, value=None):
    app = make_app(app_config="globus.manager.api.config.production")
    db.init_app(app)

    if not value:
        value = click.prompt("New value for {}".format(name)).strip()

    with app.app_context():
        app.logger.info("node_set_configuration: start")
        entry = Configuration.query.filter(Configuration.name == name).one_or_none()

        if not entry:
            entry = Configuration(name, value)
        else:
            entry.value = value

        db.session.add(entry)
        db.session.commit()
