import re
from typing import Union

import click

from globus.manager.constants import DOMAIN_NAME_PATTERN


def verify_email_option(
    ctx: click.Context, param: Union[click.Option, click.Parameter], value: str
) -> str:
    components = value.split("@", 1)
    if len(components) != 2:
        raise click.BadParameter("Invalid email address: " + value)
    if not re.match(DOMAIN_NAME_PATTERN, components[1]):
        raise click.BadParameter("Invalid email domain: " + value)
    return value
