"""Add role table

Revision ID: 028b6b104005
Revises: 3fbea16f833c
Create Date: 2019-06-15 08:30:14.823397

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '028b6b104005'
down_revision = 'd2e6642342ad'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('role',
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.Column('updated_at', sa.DateTime(), nullable=False),
    sa.Column('id', sa.TEXT(), nullable=False),
    sa.Column('principal_type', sa.Enum('identity', 'group', name='principaltype'), nullable=False),
    sa.Column('identity_id', sa.TEXT(), nullable=False),
    sa.Column('role', sa.Enum('endpoint_administrator', 'endpoint_activity_manager', 'endpoint_activity_monitor', 'collection_administrator', 'collection_activity_manager', 'collection_activity_monitor', 'collection_access_manager', name='roletype'), nullable=False),
    sa.Column('resource', sa.TEXT(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.ForeignKeyConstraint(['resource'], ['collection.id']),
    sa.UniqueConstraint('principal_type', 'identity_id', 'role', 'resource')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('role')
    # ### end Alembic commands ###
