"""Add endpoint earliest_last_access

Revision ID: b8b5ffdbb404
Revises: 821944572cf4
Create Date: 2023-06-20 16:45:03.378603

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = "b8b5ffdbb404"
down_revision = "821944572cf4"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        INSERT OR IGNORE INTO configuration (name, created_at, updated_at, value)
        SELECT
              "earliest_last_access",
              datetime(),
              datetime(),
              MIN(last_access)
        FROM (
              SELECT last_access FROM collection WHERE last_access != ''
              UNION
              SELECT DATE() as last_access
        );
        """
    )


def downgrade():
    op.execute('DELETE FROM configuration WHERE name = "earliest_last_access"')
